Up

# NSMassFormatter class documentation

### Authors

Generated by Debian

# Software documentation for the NSMassFormatter class

## NSMassFormatter : NSObject

> Declared in:
>   Foundation/NSMassFormatter.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- -getObjectValue:forString:errorDescription:
- -isForPersonMassUse
- -numberFormatter
- -setForPersonMassUse:
- -setNumberFormatter:
- -setUnitStyle:
- -stringFromKilograms:
- -stringFromValue:unit:
- -unitStringFromKilograms:usedUnit:
- -unitStringFromValue:unit:
- -unitStyle

### getObjectValue: forString: errorDescription:

- (BOOL) getObjectValue: (id*)obj forString: (NSString*)string errorDescription: (NSString**)error;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### isForPersonMassUse

- (BOOL) isForPersonMassUse;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### numberFormatter

- (NSNumberFormatter*) numberFormatter;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setForPersonMassUse:

- (void) setForPersonMassUse: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setNumberFormatter:

- (void) setNumberFormatter: (NSNumberFormatter*)formatter;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setUnitStyle:

- (void) setUnitStyle: (NSFormattingUnitStyle)style;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### stringFromKilograms:

- (NSString*) stringFromKilograms: (double)numberInKilograms;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### stringFromValue: unit:

- (NSString*) stringFromValue: (double)value unit: (NSMassFormatterUnit)unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### unitStringFromKilograms: usedUnit:

- (NSString*) unitStringFromKilograms: (double)numberInKilograms usedUnit: (NSMassFormatterUnit*)unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### unitStringFromValue: unit:

- (NSString*) unitStringFromValue: (double)value unit: (NSMassFormatterUnit)unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### unitStyle

- (NSFormattingUnitStyle) unitStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSMassFormatter Class

### _isForPersonMassUse

@protected BOOL _isForPersonMassUse;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _numberFormatter

@protected NSNumberFormatter* _numberFormatter;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unitStyle

@protected NSFormattingUnitStyle _unitStyle;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up